import KybAddress from './kyb-address'
import KybArea from './kyb-area'
import KybBoolean from './kyb-boolean'
import KybBtn from './kyb-btn'
import KybColor from './kyb-color'
import KybCondition from './kyb-condition'
import KybDate from './kyb-date'
import KybDateSection from './kyb-date-section'
import KybDialog from './kyb-dialog'
import KybForm from './kyb-form'
import KybGroup from './kyb-group'
import KybGroupItem from './kyb-group-item'
import KybHtmlEditor from './kyb-html-editor'
import KybImg from './kyb-img'
import KybImportData from './kyb-import-data'
import KybInput from './kyb-input'
import KybInputNumber from './kyb-input-number'
import KybJson from './kyb-json'
import KybLayout from './kyb-layout'
import KybLayoutItem from './kyb-layout-item'
import KybListShow from './kyb-list-show'
import KybPage from './kyb-page'
import KybPassword from './kyb-password'
import KybProgress from './kyb-progress'
import KybRange from './kyb-range'
import KybSelect from './kyb-select'
import KybSelectEntity from './kyb-select-entity'
import KybSelectIcon from './kyb-select-icon'
import KybTable from './kyb-table'
import KybToolbar from './kyb-toolbar'
import KybToolbarList from './kyb-toolbar-list'
import KybTree from './kyb-tree'
import KybTtt from './kyb-ttt'
import KybUpload from './kyb-upload'
import KybUploadFile from './kyb-upload-file'

import example from './example'
import resizeMove from './resize-move'
import vueDirective from './vue-directive'
import vueFilter from './vue-filter'

const comps = [
  KybAddress,
  KybArea,
  KybBoolean,
  KybBtn,
  KybColor,
  KybCondition,
  KybDate,
  KybDateSection,
  KybDialog,
  KybForm,
  KybGroup,
  KybGroupItem,
  KybHtmlEditor,
  KybImg,
  KybImportData,
  KybInput,
  KybInputNumber,
  KybJson,
  KybLayout,
  KybLayoutItem,
  KybListShow,
  KybPage,
  KybPassword,
  KybProgress,
  KybRange,
  KybSelect,
  KybSelectEntity,
  KybSelectIcon,
  KybTable,
  KybToolbar,
  KybToolbarList,
  KybTree,
  KybTtt,
  KybUpload,
  KybUploadFile
]
const install = Vue => {
  comps.forEach(comp => {
    Vue.use(comp)
  })
  resizeMove({ Vue }) // 初始化移动和缩放的指令
  vueDirective({ Vue }) // 初始化其他指令
  vueFilter({ Vue }) // 初始化过滤器
}
export {
  example,
  vueFilter,
  vueDirective,
  resizeMove,
  install,
  comps,
  KybAddress,
  KybArea,
  KybBoolean,
  KybBtn,
  KybColor,
  KybCondition,
  KybDate,
  KybDateSection,
  KybDialog,
  KybForm,
  KybGroup,
  KybGroupItem,
  KybHtmlEditor,
  KybImg,
  KybImportData,
  KybInput,
  KybInputNumber,
  KybJson,
  KybLayout,
  KybLayoutItem,
  KybListShow,
  KybPage,
  KybPassword,
  KybProgress,
  KybRange,
  KybSelect,
  KybSelectEntity,
  KybSelectIcon,
  KybTable,
  KybToolbar,
  KybToolbarList,
  KybTree,
  KybTtt,
  KybUpload,
  KybUploadFile
}
export default { install, comps }
