const REG = /^[a-zA-Z0-9_-]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$/
export default ({ field, value }) => {
  return {
    name: 'IdCardRule',
    field,
    value,
    errorMsg: '格式不正确，请输入正确的邮箱地址！',
    execute() {
      return value && value.length && REG.test(value)
    }
  }
}
