export default ({ field, value, min, errorMsg }) => {
  const defaultMin = 0
  min === undefined && (min = defaultMin)
  return {
    name: 'MinValueRule',
    field,
    value,
    defaultMin,
    min,
    // eslint-disable-next-line no-eval
    errorMsg: errorMsg ? eval(errorMsg) : `最小值为${min}`,
    execute() {
      return value === undefined || value === null ? true : value >= min
    }
  }
}
