const REG = /^1[35789]\d{9}$/
export default ({ field, value }) => {
  return {
    name: 'PhoneRule',
    field,
    value,
    errorMsg: '格式不正确，请输入11位中国大陆手机号码！',
    execute() {
      return value && value.length && REG.test(value)
    }
  }
}
