const REG = /^\d{18}$/
export default ({ field, value }) => {
  return {
    name: 'IdCardRule',
    field,
    value,
    errorMsg: '格式不正确，请输入18位身份证号',
    execute() {
      return value && value.length && REG.test(value)
    }
  }
}
