export default ({ field, value, max, errorMsg }) => {
  const defaultMax = 2
  max === undefined && (max = defaultMax)
  return {
    name: 'MaxDecimalDigitsRule',
    field,
    value,
    defaultMax,
    max,
    // eslint-disable-next-line no-eval
    errorMsg: errorMsg ? eval(errorMsg) : `最多保留${max}位小数`,
    execute() {
      return !(value === undefined || value === null) && new RegExp(`^\\d*\\.?\\d{0,${max}}$`).test(value)
    }
  }
}
