export default ({ field, value, maxLength, errorMsg }) => {
  const defaultMaxLength = 1
  maxLength === undefined && (maxLength = defaultMaxLength)
  return {
    name: 'MaxLengthRule',
    field,
    value,
    defaultMaxLength,
    maxLength,
    // eslint-disable-next-line no-eval
    errorMsg: errorMsg ? eval(errorMsg) : `长度最多${maxLength}位`,
    execute() {
      return !(value === undefined || value === null) && (value + '').length <= maxLength
    }
  }
}
