export default ({ field, value, max, errorMsg }) => {
  const defaultMax = 0
  max === undefined && (max = defaultMax)
  return {
    name: 'MaxValueRule',
    field,
    value,
    defaultMax,
    max,
    // eslint-disable-next-line no-eval
    errorMsg: errorMsg ? eval(errorMsg) : `最大值为${max}`,
    execute() {
      return value === undefined || value === null ? true : value <= max
    }
  }
}
