export default ({ field, value, minLength, errorMsg }) => {
  const defaultMinLength = 0
  minLength === undefined && (minLength = defaultMinLength)
  return {
    name: 'MinLengthRule',
    field,
    value,
    defaultMinLength,
    minLength,
    // eslint-disable-next-line no-eval
    errorMsg: errorMsg ? eval(errorMsg) : `长度至少${minLength}位`,
    execute() {
      return value === undefined || value === null ? minLength === 0 : (value + '').length >= minLength
    }
  }
}
